c Hello there
      real a
      real             b
      logical          c
      logical          d
real e
      a = 1.00e0
      a = 1.00e1
      a = 1.00e-1
      a = 1.00e+1
      a = 1.00e-12
      a = d - 1
      implicit none
      implicit none

      t = date(1.20)

      a = abs(a)
      call sgefa(a,b,c,d)
abs(q)
call  sgefa  (a,b,c,d)

c UPPER CASE COMMENT

      real   mat2d(nx,ny)
      integer function d1fcn
      ierr = getco(mat2d,order,dx,dx0,sten)
	        .      d1nint2ec(nxc,utempc,utempf,wksp,wksp_size,order,cthc)
